对于大多数没有接触过后台语言的前端开发者来说,安装 SASS 着实有点痛苦,因为 SASS 是用 Ruby 写的。博主也是从痛苦中摸索过来的,下面就说说自己的经验吧。本教程只讲解在 Ubuntu 下安装 SASS,前端开发者还是很有必要使用 Linux 系统的,By the way,推荐一个很不错的 Linux 教程,也就是博客园上面 Vamei 的 Linux 系列教程,讲得简单易懂,值得学习。

需要安装的东西:RVM,Ruby,SASS,Compass。

安装 RVM

RVM 是什么鬼?

RVM(Ruby Version Manager)是 Ruby 版本管理工具,使用 RVM 可以安装和管理多个版本的 Ruby,我们只需要用 RVM 安装最新版本的 Ruby 就可以了。

安装:

$ gpg --keyserver hkp://keys.gnupg.net --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3
$ \curl -sSL https://get.rvm.io | bash -s stable

安装 Ruby

之所以安装 RVM,是为了能够安装最新版本的 Ruby,安装好了 RVM 下面就来安装 Ruby 吧。

安装:

$ rvm install 2.2.1

按照步骤来,一切都很简单,比 Hello World 还简单。安装了 Ruby 之后,需要用 RVM 指定启用的 Ruby 的版本。

启用 Ruby:

$ rvm use 2.2.1 --default

带上 default 参数,下次登录 shell 时就不用再次指定启用的 Ruby 的版本了,不然每次重新登录 shell 都需要运行一次 rvm use 命令。

安装 SASS 和 Compass

安装好了 Ruby,安装 SASS 和 Compass 就很简单了。

安装 SASS:

$ gem install sass

安装 Compass:

$ gem install compass

到这里 SASS 和 Compass 就安装好了,可以愉快的编写 SASS 代码啦~